using Infrastructure;

namespace Domain.Weapons;

public class Weapon : BaseEntity
{
    public int Damage;
    public int Range { get; set; }
    public string? Name { get; set; }
    public string? GPE { get; set; }
    public string? Type { get; set; }
    public int Pene { get; set; }
    public string? Mode { get; set; }
    public string? At { get; set; }
    public string? Rch { get; set; }
    public string? Attribute { get; set; }

    public ICollection<Player> Players { get; set; }

    public virtual int Attack(int bonusStat, int stat, string amo = null, bool? isHorde = null)
    {
        var ctDice = DiceService.RollDices(1, 100);
        return ctDice;
    }

    public virtual int DamageAmount(int successDegree)
    {
        return 0;
    }
}